Subject: RE: [rohc] RoHC-FN List encoding question

From: "Finking, Robert" <[email-masked]>
Date: Tue, 9 Nov 2004 16:53:25 -0000

Kris,

Many thanks - as always you are the man when it comes to type 0 list
encoding =) 

Responses in line.

Regards

Raffles

> -----Original Message-----
> From: Kristofer Sandlund [mailto:[email-masked]] 
> Sent: Tuesday, November 09, 2004 3:06 PM
> To: Finking, Robert
> Cc: [email-masked]'
> Subject: Re: [rohc] RoHC-FN List encoding question
> 
> 
> Hi Robert,
> 
> we reworked parts of the list compression yesterday evening, 
> so hold off 
> on updating things for now. We'll send you the results when we have 
> something a bit more stable.

Great - thanks =)

> <snip>
> > significant bit of which is a flag, X. I had previously 
> been under the
> > impression that this flag gave an indication of whether or 
> not this item was
> >   1. either a new table item or an update to an existing 
> item, and so had no
> > context available, or
> >   2. already present in the table and so did have context available
> > 
> 
> X=1 simply means that this index is being sent in the item 
> field of this 
>   list. It does not mean that this is present in the table or not. A 
> compressor could choose to send all items with X=1 even if the items 
> never change (it would not be very smart, but...)
> 
> X=0 the means that the item is not sent in this list packet, 
> but it is 
> still present in the decompressed list. Sending X=0 is only 
> allowed if 
> the compressor has confidence that the decompressor has this 
> item in its 
> table.
> 
OK, great, So, if I have understood correctly, my original understanding was
very close to the truth, with the exception that a non-optimal compressor
may choose to set the X bit, and send the item when it doesn't need to,
(conversely I guess an erroneous compressor could leave the bit clear, and
not send the item, when it should have).

In that case I don't see what is missing from the existing list compression
syntax? Or is there yet another level of misunderstanding on my part ;-) I
wish I could be there to join in with the discussions.

<snip>
> Hope that explains it.

Yes, very well - thanks. My original understanding was very close to the
truth, my recollection that I'd got it wrong was obviously flawed! Thanks
for clearing it up.

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc